<?php

namespace Util;

class Collector
{
    public function executeQuery($params, $maxWaitTime = 15) {
        $client = SocketClient::factory(Utilities::getSocketServerAddressParameter());
        try {
            $response = $client->execQuery($params["query"], $params["room"], $maxWaitTime, $params);
            $response = empty($response) ? array() : $response[0];

            if (isset($response['hasError']) && $response['hasError']) {
                if (isset($response["data"]) &&
                    isset($response["data"]["response"]) &&
                    isset($response["data"]["response"]["sqlException"]) &&
                    isset($response["data"]["response"]["sqlException"]["detailMessage"])) {
                    $errorMessage = $response["data"]["response"]["sqlException"]["detailMessage"];
                } else {
                    $errorMessage = $response['error'];
                }
                return array(
                    'IS_ERROR' => true,
                    'RESULT' => $errorMessage,
                );
            }

            $queryResult = !empty($response['data']) && !empty($response['data']['response']) ? $response['data']['response'] : array();
            return array(
                'IS_ERROR' => false,
                'RESULT' => $queryResult,
            );
        } finally {
            unset($client);
        }
    }
}